AM261x MCU+ SDK: sdl_r5_utils.h File Reference

| AM261x MCU+ SDK 26.00.00 |

Data Structures | Functions
sdl_r5_utils.h File Reference
APIs for SDL Module » SDL R5F CPU UTILS

## Introduction

This file contains the prototypes of the APIs present in the device abstraction layer file of R5F CPU static register. This also contains some related local functions.

Go to the source code of this file.

## Data Structures
struct | SDL_R5FCPU_StaticRegs
| Structure containing R5F CPU Static Registers. More...
struct | SDL_R5MPU_staticRegs
| MPU Static Registers structure. More...

## Functions
int32_t | SDL_CPU_staticRegisterRead (SDL_R5FCPU_StaticRegs *pCPUStaticRegs)
| This API is used to get the value of static registers for R5F CPU. More...
void | SDL_R5MPU_readStaticRegisters (SDL_R5MPU_staticRegs *pMPUStaticRegs, uint32_t regionNum)
| MPU API to Read the Static Registers. This function reads the values of the static registers such as System Control Register, MPU Type Register and MPU Region Number Register. More...
uint32_t | SDL_UTILS_getSCTLR (void)
uint32_t | SDL_UTILS_getACTLR (void)
uint32_t | SDL_UTILS_getSecondaryACTLR (void)
uint32_t | SDL_UTILS_getCPACR (void)
uint32_t | SDL_UTILS_getBTCMRegionR (void)
uint32_t | SDL_UTILS_getATCMRegionR (void)
uint32_t | SDL_UTILS_getSlavePortControlR (void)
uint32_t | SDL_UTILS_getCONTEXTIDR (void)
uint32_t | SDL_UTILS_getnVALIRQSET (void)
uint32_t | SDL_UTILS_getnVALFIQSET (void)
uint32_t | SDL_UTILS_getnVALRESETSET (void)
uint32_t | SDL_UTILS_getnVALDEBUGSET (void)
uint32_t | SDL_UTILS_getnVALIRQCLEAR (void)
uint32_t | SDL_UTILS_getnVALFIQCLEAR (void)
uint32_t | SDL_UTILS_getnVALRESETCLEAR (void)
uint32_t | SDL_UTILS_getnVALDEBUGCLEAR (void)
uint32_t | SDL_UTILS_getBuildOption1R (void)
uint32_t | SDL_UTILS_getBuildOption2R (void)
uint32_t | SDL_UTILS_getPinOptionR (void)
uint32_t | SDL_UTILS_getLLPPnormalAXIRR (void)
uint32_t | SDL_UTILS_getLLPPvirtualAXIRR (void)
uint32_t | SDL_UTILS_getAHBRR (void)
uint32_t | SDL_UTILS_getCFLR (void)
uint32_t | SDL_UTILS_getPMOVSR (void)
uint32_t | SDL_UTILS_getDFSR (void)
uint32_t | SDL_UTILS_getADFSR (void)
uint32_t | SDL_UTILS_getDFAR (void)
uint32_t | SDL_UTILS_getIFSR (void)
uint32_t | SDL_UTILS_getIFAR (void)
uint32_t | SDL_UTILS_getAIFSR (void)
uint32_t | SDL_UTILS_getPMCR (void)
uint32_t | SDL_UTILS_getPMCNTENSET (void)
uint32_t | SDL_UTILS_getPMUSERENR (void)
uint32_t | SDL_UTILS_getPMINTENSET (void)
uint32_t | SDL_UTILS_getPMINTENCLR (void)
void | SDL_UTILS_enable_event_bus (void)
void | SDL_UTILS_enable_cache_event_bus (void)

## Function Documentation

## ◆ SDL_UTILS_getSCTLR()

uint32_t SDL_UTILS_getSCTLR | ( | void |  | ) |

## ◆ SDL_UTILS_getACTLR()

uint32_t SDL_UTILS_getACTLR | ( | void |  | ) |

## ◆ SDL_UTILS_getSecondaryACTLR()

uint32_t SDL_UTILS_getSecondaryACTLR | ( | void |  | ) |

## ◆ SDL_UTILS_getCPACR()

uint32_t SDL_UTILS_getCPACR | ( | void |  | ) |

## ◆ SDL_UTILS_getBTCMRegionR()

uint32_t SDL_UTILS_getBTCMRegionR | ( | void |  | ) |

## ◆ SDL_UTILS_getATCMRegionR()

uint32_t SDL_UTILS_getATCMRegionR | ( | void |  | ) |

## ◆ SDL_UTILS_getSlavePortControlR()

uint32_t SDL_UTILS_getSlavePortControlR | ( | void |  | ) |

## ◆ SDL_UTILS_getCONTEXTIDR()

uint32_t SDL_UTILS_getCONTEXTIDR | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALIRQSET()

uint32_t SDL_UTILS_getnVALIRQSET | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALFIQSET()

uint32_t SDL_UTILS_getnVALFIQSET | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALRESETSET()

uint32_t SDL_UTILS_getnVALRESETSET | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALDEBUGSET()

uint32_t SDL_UTILS_getnVALDEBUGSET | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALIRQCLEAR()

uint32_t SDL_UTILS_getnVALIRQCLEAR | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALFIQCLEAR()

uint32_t SDL_UTILS_getnVALFIQCLEAR | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALRESETCLEAR()

uint32_t SDL_UTILS_getnVALRESETCLEAR | ( | void |  | ) |

## ◆ SDL_UTILS_getnVALDEBUGCLEAR()

uint32_t SDL_UTILS_getnVALDEBUGCLEAR | ( | void |  | ) |

## ◆ SDL_UTILS_getBuildOption1R()

uint32_t SDL_UTILS_getBuildOption1R | ( | void |  | ) |

## ◆ SDL_UTILS_getBuildOption2R()

uint32_t SDL_UTILS_getBuildOption2R | ( | void |  | ) |

## ◆ SDL_UTILS_getPinOptionR()

uint32_t SDL_UTILS_getPinOptionR | ( | void |  | ) |

## ◆ SDL_UTILS_getLLPPnormalAXIRR()

uint32_t SDL_UTILS_getLLPPnormalAXIRR | ( | void |  | ) |

## ◆ SDL_UTILS_getLLPPvirtualAXIRR()

uint32_t SDL_UTILS_getLLPPvirtualAXIRR | ( | void |  | ) |

## ◆ SDL_UTILS_getAHBRR()

uint32_t SDL_UTILS_getAHBRR | ( | void |  | ) |

## ◆ SDL_UTILS_getCFLR()

uint32_t SDL_UTILS_getCFLR | ( | void |  | ) |

## ◆ SDL_UTILS_getPMOVSR()

uint32_t SDL_UTILS_getPMOVSR | ( | void |  | ) |

## ◆ SDL_UTILS_getDFSR()

uint32_t SDL_UTILS_getDFSR | ( | void |  | ) |

## ◆ SDL_UTILS_getADFSR()

uint32_t SDL_UTILS_getADFSR | ( | void |  | ) |

## ◆ SDL_UTILS_getDFAR()

uint32_t SDL_UTILS_getDFAR | ( | void |  | ) |

## ◆ SDL_UTILS_getIFSR()

uint32_t SDL_UTILS_getIFSR | ( | void |  | ) |

## ◆ SDL_UTILS_getIFAR()

uint32_t SDL_UTILS_getIFAR | ( | void |  | ) |

## ◆ SDL_UTILS_getAIFSR()

uint32_t SDL_UTILS_getAIFSR | ( | void |  | ) |

## ◆ SDL_UTILS_getPMCR()

uint32_t SDL_UTILS_getPMCR | ( | void |  | ) |

## ◆ SDL_UTILS_getPMCNTENSET()

uint32_t SDL_UTILS_getPMCNTENSET | ( | void |  | ) |

## ◆ SDL_UTILS_getPMUSERENR()

uint32_t SDL_UTILS_getPMUSERENR | ( | void |  | ) |

## ◆ SDL_UTILS_getPMINTENSET()

uint32_t SDL_UTILS_getPMINTENSET | ( | void |  | ) |

## ◆ SDL_UTILS_getPMINTENCLR()

uint32_t SDL_UTILS_getPMINTENCLR | ( | void |  | ) |

## ◆ SDL_UTILS_enable_event_bus()

void SDL_UTILS_enable_event_bus | ( | void |  | ) |

## ◆ SDL_UTILS_enable_cache_event_bus()

void SDL_UTILS_enable_cache_event_bus | ( | void |  | ) |